summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Roman <davidroman96@gmail.com>2018-06-12 18:06:31 +0200
committerMichał Górny <mgorny@gentoo.org>2018-06-12 19:38:44 +0200
commit67ad461e083f5c15f4ea4bbf2dae8a57577d8513 (patch)
treefbf2f0651d9297c41e2bae100c214cecadd9e125
parentx11-base/xorg-server: modernize xdm comment a bit (diff)
downloadgentoo-67ad461e083f5c15f4ea4bbf2dae8a57577d8513.zip
gentoo-67ad461e083f5c15f4ea4bbf2dae8a57577d8513.tar.gz
gentoo-67ad461e083f5c15f4ea4bbf2dae8a57577d8513.tar.bz2
dev-libs/spdlog: verbump to 0.17.0
-rw-r--r--dev-libs/spdlog/Manifest1
-rw-r--r--dev-libs/spdlog/files/spdlog-0.17.0-unbundle-fmt.patch35
-rw-r--r--dev-libs/spdlog/spdlog-0.17.0.ebuild39
-rw-r--r--dev-libs/spdlog/spdlog-9999.ebuild15
4 files changed, 83 insertions, 7 deletions
diff --git a/dev-libs/spdlog/Manifest b/dev-libs/spdlog/Manifest
index d85ac67..68f096c 100644
--- a/dev-libs/spdlog/Manifest
+++ b/dev-libs/spdlog/Manifest
@@ -1,2 +1,3 @@
DIST spdlog-0.16.2.tar.gz 162709 BLAKE2B 7cd031bd9b1e01aa11186334ada9aad50cdc063942e0eb5b9d36e918e305db4c0e5657a215f24f458dbf792e05c38f74409bc7f5f88049bd1c4a759ccab0167e SHA512 454da17d75fa6dae074fb2ef10d93a1f9ccbf23b625521d32ce463a1362411ffc35ca33b081bee3cfb27bb647472de73899c9a15d24f09c8a3c9222560bcf559
DIST spdlog-0.16.3.tar.gz 163636 BLAKE2B bebed0811976c5000481d9fa70107f79c3fb6180484afec611df9b3621349a91809e0f824583171a1c8bc89dae58a659c990fb4c6761da404f01a70868494f06 SHA512 6e08473825cf97dfb10b0e919b77996c1023bbfb583d851e961ec4a95094e4afffd1fc6f6e7e728ce8c2c69c9fb280c59f8d6494b50224bdf8cc68914ffd21e8
+DIST spdlog-0.17.0.tar.gz 172323 BLAKE2B 2ca821fb3da0ee82601dd9ef54ca155ffdf19ea1e51c6fbb7269a58bf7a662b5225c9ef7e4d8ccbe7a05c56aeefaad27ddc9cfe21a329f52490078ccd0fb2ce6 SHA512 c3d7c7b2d221b33ad4f4685207ff606d271635bd1ad7edab763a823880386f604d264343139f37b36a3e8654d6382dbed0d431556728676523e390b8fb4b2aef
diff --git a/dev-libs/spdlog/files/spdlog-0.17.0-unbundle-fmt.patch b/dev-libs/spdlog/files/spdlog-0.17.0-unbundle-fmt.patch
new file mode 100644
index 00000000..e3e0df8
--- /dev/null
+++ b/dev-libs/spdlog/files/spdlog-0.17.0-unbundle-fmt.patch
@@ -0,0 +1,35 @@
+diff --git a/include/spdlog/fmt/fmt.h b/include/spdlog/fmt/fmt.h
+--- a/include/spdlog/fmt/fmt.h
++++ b/include/spdlog/fmt/fmt.h
+@@ -18,16 +18,11 @@
+ #ifndef FMT_USE_WINDOWS_H
+ #define FMT_USE_WINDOWS_H 0
+ #endif
+-#include "bundled/format.h"
+-#if defined(SPDLOG_FMT_PRINTF)
+-#include "bundled/printf.h"
+-#endif
+
+-#else // external fmtlib
++#endif // external fmtlib
+
+ #include <fmt/format.h>
+ #if defined(SPDLOG_FMT_PRINTF)
+ #include <fmt/printf.h>
+ #endif
+
+-#endif
+diff --git a/include/spdlog/fmt/ostr.h b/include/spdlog/fmt/ostr.h
+--- a/include/spdlog/fmt/ostr.h
++++ b/include/spdlog/fmt/ostr.h
+@@ -11,8 +11,6 @@
+ #ifndef FMT_HEADER_ONLY
+ #define FMT_HEADER_ONLY
+ #endif
+-#include "bundled/ostream.h"
+-#include "fmt.h"
+-#else
+-#include <fmt/ostream.h>
+ #endif
++
++#include <fmt/ostream.h>
diff --git a/dev-libs/spdlog/spdlog-0.17.0.ebuild b/dev-libs/spdlog/spdlog-0.17.0.ebuild
new file mode 100644
index 00000000..e42aaad
--- /dev/null
+++ b/dev-libs/spdlog/spdlog-0.17.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils
+
+DESCRIPTION="Very fast, header only, C++ logging library"
+HOMEPAGE="https://github.com/gabime/spdlog"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/gabime/spdlog"
+else
+ SRC_URI="https://github.com/gabime/spdlog/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+
+DEPEND="
+ <=dev-libs/libfmt-4.1.0
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}/${PN}-0.17.0-unbundle-fmt.patch" )
+
+src_configure() {
+ rm -r include/spdlog/fmt/bundled || die
+
+ local mycmakeargs=(
+ -DSPDLOG_BUILD_EXAMPLES=no
+ -DSPDLOG_BUILD_TESTING=$(usex test)
+ )
+
+ cmake-utils_src_configure
+}
diff --git a/dev-libs/spdlog/spdlog-9999.ebuild b/dev-libs/spdlog/spdlog-9999.ebuild
index b22d880..e42aaad 100644
--- a/dev-libs/spdlog/spdlog-9999.ebuild
+++ b/dev-libs/spdlog/spdlog-9999.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils
-DESCRIPTION="Very fast, header only, C++ logging library."
+DESCRIPTION="Very fast, header only, C++ logging library"
HOMEPAGE="https://github.com/gabime/spdlog"
if [[ ${PV} == *9999 ]]; then
@@ -21,18 +21,19 @@ SLOT="0"
IUSE="test"
DEPEND="
- dev-libs/libfmt
+ <=dev-libs/libfmt-4.1.0
"
RDEPEND="${DEPEND}"
-PATCHES=( "${FILESDIR}/${PN}-unbundle-fmt.patch" )
+PATCHES=( "${FILESDIR}/${PN}-0.17.0-unbundle-fmt.patch" )
src_configure() {
+ rm -r include/spdlog/fmt/bundled || die
+
local mycmakeargs=(
- -DSPDLOG_BUILD_EXAMPLES=no
- -DSPDLOG_BUILD_TESTING=$(usex test)
+ -DSPDLOG_BUILD_EXAMPLES=no
+ -DSPDLOG_BUILD_TESTING=$(usex test)
)
cmake-utils_src_configure
-
}